=== debian/changelog ===
libwsc (1.1.0-4) unstable; urgency=medium

  * Update Standards-Version to 4.7.3.

 -- Milan Milosavljevic <amsoftswitch@gmail.com>  Wed, 14 Jan 2026 09:20:05 +0100

libwsc (1.1.0-3) unstable; urgency=medium

  * Fix debian/watch for GitHub tags.

 -- Milan Milosavljevic <amsoftswitch@gmail.com>  Tue, 30 Dec 2025 10:12:43 +0100

libwsc (1.1.0-2) unstable; urgency=medium

  * Fix DEP5 copyright format.
  * Clean up debian/control section fields.

 -- Milan Milosavljevic <amsoftswitch@gmail.com>  Tue, 30 Dec 2025 09:48:05 +0100

libwsc (1.1.0-1) unstable; urgency=medium

  * Initial Debian packaging.

 -- Milan Milosavljevic <amsoftswitch@gmail.com>  Sun, 28 Dec 2025 10:00:00 +0100
