=== debian/control ===
Source: libwsc
Section: libs
Priority: optional
Maintainer: Milan Milosavljevic <amsoftswitch@gmail.com>
Build-Depends: debhelper-compat (= 13), cmake, pkg-config, libevent-dev, zlib1g-dev, libssl-dev
Standards-Version: 4.7.3
Rules-Requires-Root: no
Homepage: https://github.com/amigniter/libwsc
Vcs-Git: https://github.com/amigniter/libwsc.git
Vcs-Browser: https://github.com/amigniter/libwsc

Package: libwsc1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Lightweight C++ WebSocket client library
 libwsc is a small C++ WebSocket client library built on libevent with
 optional TLS and permessage-deflate support.

Package: libwsc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libwsc1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the libwsc WebSocket client library
 This package provides C++ header files and CMake export targets for
 developing applications using libwsc.
