=== debian/watch ===
version=4
opts=filenamemangle=s@.*/archive/refs/tags/v?(\d[\d\.]*)\.tar\.gz@libwsc_$1.orig.tar.gz@ \
https://github.com/amigniter/libwsc/tags \
.*/archive/refs/tags/v?(\d[\d\.]*)\.tar\.gz
